# Uses of Class
org.eclipse.mat.ui.editor.AbstractEditorPane

Packages that use AbstractEditorPane
Package
Description
org.eclipse.mat.ui.editor
Editor for viewing snapshot (not API).
org.eclipse.mat.ui.internal.chart
User interface for displaying pie charts - this is an internal package not intended as an Application Programming Interface (API).
org.eclipse.mat.ui.internal.panes
Displays the results of queries as text or a table - user interface (not API).
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).
org.eclipse.mat.ui.snapshot.editor
Eclipse editor for everything to do with snapshots - user interface (not API).
org.eclipse.mat.ui.snapshot.panes
Panes for display in the editor for histograms, GC paths, comparisons - user interface (not API).
org.eclipse.mat.ui.util
Utility classes for toolbars, popup menu, searching on typing - user interface (not API).

## Uses of AbstractEditorPane in org.eclipse.mat.ui.editor

Subclasses of AbstractEditorPane in org.eclipse.mat.ui.editor
Modifier and Type
Class
Description
`class`
`CompositeHeapEditorPane`
Methods in org.eclipse.mat.ui.editor that return AbstractEditorPane
Modifier and Type
Method
Description
`AbstractEditorPane`
PaneConfiguration.`build()`
`AbstractEditorPane`
EditorPaneRegistry.`createNewPane(String paneId)`
`AbstractEditorPane`
EditorPaneRegistry.`createNewPane(IResult subject, Class<?> ignore)`
Find the appropriate editor pane for the result, ignoring ones associated with the ignore class.
`AbstractEditorPane`
MultiPaneEditor.`getActiveEditor()`
`AbstractEditorPane`
MultiPaneEditor.`getEditor(PaneState state)`
`AbstractEditorPane`
AbstractEditorPane.`getParentPane()`
Methods in org.eclipse.mat.ui.editor with parameters of type AbstractEditorPane
Modifier and Type
Method
Description
`void`
MultiPaneEditor.`addNewPage(AbstractEditorPane pane, Object argument, String title, Image image)`
`void`
MultiPaneEditorContributor.`setActivePage(AbstractEditorPane part)`
Constructors in org.eclipse.mat.ui.editor with parameters of type AbstractEditorPane
Modifier
Constructor
Description
``
`AbstractPaneJob(String name, AbstractEditorPane pane)`

## Uses of AbstractEditorPane in org.eclipse.mat.ui.internal.chart

Subclasses of AbstractEditorPane in org.eclipse.mat.ui.internal.chart
Modifier and Type
Class
Description
`class`
`PieChartPane`

## Uses of AbstractEditorPane in org.eclipse.mat.ui.internal.panes

Subclasses of AbstractEditorPane in org.eclipse.mat.ui.internal.panes
Modifier and Type
Class
Description
`class`
`QueryResultPane`
`class`
`QueryTextResultPane`
`class`
`TableResultPane`
`class`
`TextViewPane`

## Uses of AbstractEditorPane in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer with parameters of type AbstractEditorPane
Modifier and Type
Method
Description
`abstract void`
RefinedResultViewer.`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`
`void`
RefinedTableViewer.`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`
`void`
RefinedTreeViewer.`init(Composite parent, MultiPaneEditor editor, AbstractEditorPane pane)`

## Uses of AbstractEditorPane in org.eclipse.mat.ui.snapshot.editor

Subclasses of AbstractEditorPane in org.eclipse.mat.ui.snapshot.editor
Modifier and Type
Class
Description
`class`
`HeapEditorPane`

## Uses of AbstractEditorPane in org.eclipse.mat.ui.snapshot.panes

Subclasses of AbstractEditorPane in org.eclipse.mat.ui.snapshot.panes
Modifier and Type
Class
Description
`class`
`BundlesPane`
`class`
`CompareTablesPane`
`class`
`DominatorPane`
`class`
`HistogramPane`
`class`
`MultiplePath2GCRootsPane`
`class`
`OQLPane`
`class`
`OverviewPane`
`class`
`Path2GCRootsPane`
Methods in org.eclipse.mat.ui.snapshot.panes that return AbstractEditorPane
Modifier and Type
Method
Description
`AbstractEditorPane`
OQLPane.`getEmbeddedPane()`

## Uses of AbstractEditorPane in org.eclipse.mat.ui.util

Constructors in org.eclipse.mat.ui.util with parameters of type AbstractEditorPane
Modifier
Constructor
Description
``
`EasyToolBarDropDown(String text, ImageDescriptor image, AbstractEditorPane pane)`
``
`QueryContextMenu(AbstractEditorPane pane, ContextProvider provider)`
``
`QueryContextMenu(AbstractEditorPane pane, QueryResult result)`